% Select geometric cells using some criterion, for instance a gcell is selected
% because all its nodes are inside a box or on its surface.
% Examples:
% Select all cells with all nodes inside the box:
%     gcell_select(fens,gcells,struct ('box',[1 -1 2 0 4 3]))
% Select all cells with at least one node inside the box:
%     gcell_select(fens,gcells,struct ('box',[1 -1 2 0 4 3],'anynode'))
%
function celllist = gcell_select(fens, gcells, options)
    inside = true;
    anynode = false;
    if isfield(options,'anynode')
        inside = false;
        anynode = true;
    end
    nodelist=fenode_select(fens, options);
    celllist= [];
    for i=1: length (gcells)
        conn=get(gcells(i),'conn');
        tf = ismember(conn, nodelist);
        if inside
            if sum(tf) == length(conn)
                celllist(end+1) =i;
            end
        end
        if anynode
            if sum(tf) >= 1
                celllist(end+1) =i;
            end
        end
    end
end